##Enabling Solr for a Pantheon Site

1.  Add the IndexServer from the Dashboard (Settings -> Add-Ons -> Solr).

2.  Make sure you have the latest version of Drupal. (if you are not using the WCM distribution.)

3.  Schema should be posted automatically if you are using the WCM distribution.  If you encounter problems, follow these steps:
	- Click on “Configure” next to “Pantheon Apache Solr” on the module listing page.
	- You will see a message that says “The Pantheon Apache Solr service in the (dev/test/live) 
	environment was not found, have you posted the schema in this environment yet?  
	Click on the “posted the schema” link.
	- On the next page, select  profiles/wcm_base/modules/contrib/search_api_solr/solr-conf/3.x/schema.xml  
	and click “Post schema”.
	- Note: You must post the schema.xml in each environment (dev, test, and live) 
	that you want to use Pantheon's Solr Service in.

4.  Likewise, if you are using the WCM distribution, these settings should be automatic.  You can double-check:
	- Follow this path: Configuration » Search and metadata » Search API » Solr Server » Edit. You should see your solr server listed as  
	“localhost” under the "Solr Service" section.
	- Next go to Configuration » Search and metadata » Search API and click on "edit" next to "Solr Node Index".
	- Scroll to the bottom of the page and note the node types and file types that are available for searching.  
	If you want to add/change the types indexed, you first have to uncheck "Enable" at the top of the page and then click "Save Settings" at the bottom.
Make your changes, save, and then re-enable the index (and save).  
	**Note:** File search for the Apache Solr Search module will only search the file’s fields, 
	not the actual content of the file.  If you do not have descriptions set for your files, 
	they likely will not appear in search results based on the terms you search for. 
	- Go to  Configuration » Search and metadata » Search API and click on either "Solr File Index" or "Solr Node Index" under the "Name" column. Then click the "index now" button on the next screen.



You can read more about this [on the Pantheon website.](https://pantheon.io/docs/articles/sites/apache-solr/)
