<?php
/**
 * @file
 * wcm_workbench.features.features_overrides.inc
 */

/**
 * Implements hook_features_override_default_overrides().
 */
function wcm_workbench_features_override_default_overrides() {
  // This code is only used for UI in features. Exported alters hooks do the magic.
  $overrides = array();

  // Exported overrides for: views_view
  $overrides["views_view.workbench_edited.display|page_1|display_options|path"] = 'admin/workbench/my/edits';
  $overrides["views_view.workbench_files.display|default|display_options|fields|filename|link_to_file"]["DELETED"] = TRUE;
  $overrides["views_view.workbench_files.display|default|display_options|use_more_always"] = FALSE;
  $overrides["views_view.workbench_recent_content.display|default|display_options|fields|changed|custom_date_format"] = 'm/d/y - g:ia';
  $overrides["views_view.workbench_recent_content.display|default|display_options|fields|changed|date_format"] = 'custom';
  $overrides["views_view.workbench_recent_content.display|default|display_options|fields|changed|element_type"] = 'em';
  $overrides["views_view.workbench_recent_content.display|default|display_options|fields|changed|second_date_format"] = 'ocio_calendar_node';
  $overrides["views_view.workbench_recent_content.display|default|display_options|fields|created"] = array(
    'id' => 'created',
    'table' => 'node',
    'field' => 'created',
    'label' => 'Created',
    'date_format' => 'custom',
    'custom_date_format' => 'm/d/y - g:ia',
    'second_date_format' => 'ocio_calendar_node',
  );
  $overrides["views_view.workbench_recent_content.display|default|display_options|fields|status"] = array(
    'id' => 'status',
    'table' => 'node',
    'field' => 'status',
    'not' => 0,
  );
  $overrides["views_view.workbench_recent_content.display|default|display_options|filters|status_extra"]["DELETED"] = TRUE;
  $overrides["views_view.workbench_recent_content.display|default|display_options|filters|status|expose|remember_roles"] = array(
    2 => 0,
    1 => 0,
    6 => 0,
    5 => 0,
    4 => 0,
    7 => 0,
    8 => 0,
    3 => 0,
  );
  $overrides["views_view.workbench_recent_content.display|default|display_options|filters|status|value"] = 'All';
  $overrides["views_view.workbench_recent_content.display|default|display_options|style_options|columns|created"] = 'created';
  $overrides["views_view.workbench_recent_content.display|default|display_options|style_options|info|changed|empty_column"] = 0;
  $overrides["views_view.workbench_recent_content.display|default|display_options|style_options|info|created"] = array(
    'sortable' => 1,
    'default_sort_order' => 'desc',
    'align' => '',
    'separator' => '',
    'empty_column' => 0,
  );
  $overrides["views_view.workbench_recent_content.display|default|display_options|style_options|info|edit_node|empty_column"] = 0;
  $overrides["views_view.workbench_recent_content.display|default|display_options|style_options|info|name|empty_column"] = 0;
  $overrides["views_view.workbench_recent_content.display|default|display_options|style_options|info|status|empty_column"] = 0;
  $overrides["views_view.workbench_recent_content.display|default|display_options|style_options|info|title|empty_column"] = 0;
  $overrides["views_view.workbench_recent_content.display|default|display_options|style_options|info|type|empty_column"] = 0;
  $overrides["views_view.workbench_recent_content.display|default|display_options|style_options|order"]["DELETED"] = TRUE;
  $overrides["views_view.workbench_recent_content.display|page_1|display_options|defaults|fields"]["DELETED"] = TRUE;
  $overrides["views_view.workbench_recent_content.display|page_1|display_options|fields"]["DELETED"] = TRUE;
  $overrides["views_view.workbench_recent_content.display|page_1|display_options|path"] = 'admin/workbench/all';

 return $overrides;
}
