<?php
/**
 * @file
 * wcm_workbench.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function wcm_workbench_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function wcm_workbench_views_api($module = NULL, $api = NULL) {
  return array("api" => "3.0");
}

/**
 * Implements hook_views_default_views_alter().
 */
function wcm_workbench_views_default_views_alter(&$data) {
  if (isset($data['workbench_edited'])) {
    $data['workbench_edited']->display['page_1']->display_options['path'] = 'admin/workbench/my/edits'; /* WAS: 'admin/workbench/content/edited' */
  }
  if (isset($data['workbench_files'])) {
    $data['workbench_files']->display['default']->display_options['use_more_always'] = FALSE; /* WAS: '' */
    unset($data['workbench_files']->display['default']->display_options['fields']['filename']['link_to_file']);
  }
  if (isset($data['workbench_recent_content'])) {
    $data['workbench_recent_content']->display['default']->display_options['fields']['changed']['custom_date_format'] = 'm/d/y - g:ia'; /* WAS: '' */
    $data['workbench_recent_content']->display['default']->display_options['fields']['changed']['date_format'] = 'custom'; /* WAS: 'time ago' */
    $data['workbench_recent_content']->display['default']->display_options['fields']['changed']['element_type'] = 'em'; /* WAS: '' */
    $data['workbench_recent_content']->display['default']->display_options['fields']['changed']['second_date_format'] = 'ocio_calendar_node'; /* WAS: '' */
    $data['workbench_recent_content']->display['default']->display_options['fields']['created'] = array(
      'id' => 'created',
      'table' => 'node',
      'field' => 'created',
      'label' => 'Created',
      'date_format' => 'custom',
      'custom_date_format' => 'm/d/y - g:ia',
      'second_date_format' => 'ocio_calendar_node',
    ); /* WAS: '' */
    $data['workbench_recent_content']->display['default']->display_options['fields']['status'] = array(
      'id' => 'status',
      'table' => 'node',
      'field' => 'status',
      'not' => 0,
    ); /* WAS: '' */
    $data['workbench_recent_content']->display['default']->display_options['filters']['status']['expose']['remember_roles'] = array(
      2 => 0,
      1 => 0,
      6 => 0,
      5 => 0,
      4 => 0,
      7 => 0,
      8 => 0,
      3 => 0,
    ); /* WAS: '' */
    $data['workbench_recent_content']->display['default']->display_options['filters']['status']['value'] = 'All'; /* WAS: 1 */
    $data['workbench_recent_content']->display['default']->display_options['style_options']['columns']['created'] = 'created'; /* WAS: '' */
    $data['workbench_recent_content']->display['default']->display_options['style_options']['info']['changed']['empty_column'] = 0; /* WAS: '' */
    $data['workbench_recent_content']->display['default']->display_options['style_options']['info']['created'] = array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ); /* WAS: '' */
    $data['workbench_recent_content']->display['default']->display_options['style_options']['info']['edit_node']['empty_column'] = 0; /* WAS: '' */
    $data['workbench_recent_content']->display['default']->display_options['style_options']['info']['name']['empty_column'] = 0; /* WAS: '' */
    $data['workbench_recent_content']->display['default']->display_options['style_options']['info']['status']['empty_column'] = 0; /* WAS: '' */
    $data['workbench_recent_content']->display['default']->display_options['style_options']['info']['title']['empty_column'] = 0; /* WAS: '' */
    $data['workbench_recent_content']->display['default']->display_options['style_options']['info']['type']['empty_column'] = 0; /* WAS: '' */
    $data['workbench_recent_content']->display['page_1']->display_options['path'] = 'admin/workbench/all'; /* WAS: 'admin/workbench/content/all' */
    unset($data['workbench_recent_content']->display['default']->display_options['filters']['status_extra']);
    unset($data['workbench_recent_content']->display['default']->display_options['style_options']['order']);
    unset($data['workbench_recent_content']->display['page_1']->display_options['defaults']['fields']);
    unset($data['workbench_recent_content']->display['page_1']->display_options['fields']);
  }
}
